> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a conference

> Retrieve an existing conference



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/call-control/conferences.yml get /conferences/{id}
openapi: 3.1.0
info:
  title: Telnyx Conferences API
  version: 2.0.0
  description: API for Conferences.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /conferences/{id}:
    get:
      tags:
        - Conference Commands
      summary: Retrieve a conference
      description: Retrieve an existing conference
      operationId: RetrieveConference
      parameters:
        - name: id
          description: Uniquely identifies the conference by id
          in: path
          required: true
          schema:
            type: string
        - $ref: '#/components/parameters/ConferenceRegion'
      responses:
        '200':
          $ref: '#/components/responses/ConferenceResponse'
        '404':
          $ref: '#/components/responses/NotFoundResponse'
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Telnyx from 'telnyx';

            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });

            const conference = await client.conferences.retrieve('id');

            console.log(conference.data);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            conference = client.conferences.retrieve(
                id="id",
            )
            print(conference.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tconference, err := client.Conferences.Get(\n\t\tcontext.TODO(),\n\t\t\"id\",\n\t\ttelnyx.ConferenceGetParams{},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", conference.Data)\n}\n"
        - lang: Java
          source: |-
            package com.telnyx.sdk.example;

            import com.telnyx.sdk.client.TelnyxClient;
            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
            import com.telnyx.sdk.models.conferences.ConferenceRetrieveParams;
            import com.telnyx.sdk.models.conferences.ConferenceRetrieveResponse;

            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    ConferenceRetrieveResponse conference = client.conferences().retrieve("id");
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            conference = telnyx.conferences.retrieve("id")

            puts(conference)
        - lang: CLI
          source: |-
            telnyx conferences retrieve \
              --api-key 'My API Key' \
              --id id
components:
  parameters:
    ConferenceRegion:
      name: region
      in: query
      description: Region where the conference data is located
      required: false
      schema:
        type: string
        enum:
          - Australia
          - Europe
          - Middle East
          - US
  responses:
    ConferenceResponse:
      description: Successful response with details about a conference.
      content:
        application/json:
          schema:
            type: object
            title: Conference Response
            properties:
              data:
                $ref: '#/components/schemas/Conference'
    NotFoundResponse:
      description: >-
        Resource not found. The requested resource does not exist. Common causes
        include: invalid call_control_id, conference not found, audio file not
        found, or recording not found.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/call-control_Errors'
          examples:
            resource_not_found:
              summary: Generic resource not found
              value:
                errors:
                  - code: '10007'
                    title: Resource not found
                    detail: Resource not found
            conference_not_found:
              summary: Conference not found
              value:
                errors:
                  - code: '90058'
                    title: Invalid conference_id
                    detail: The conference does not exist.
            audio_file_not_found:
              summary: Audio file not found
              value:
                errors:
                  - code: '10005'
                    title: Audio file not found
                    detail: Provided audio file URL couldn't be found.
            recording_not_found:
              summary: Recording not found
              value:
                errors:
                  - code: '10005'
                    title: Recording not found
                    detail: >-
                      The recording could not be found. Please check the
                      recording_id and try again.
                    source:
                      pointer: /recording_id
  schemas:
    Conference:
      type: object
      title: Conference
      required:
        - record_type
        - id
        - name
        - created_at
        - expires_at
      properties:
        record_type:
          type: string
          enum:
            - conference
          example: conference
        id:
          type: string
          description: Uniquely identifies the conference
          example: 3fa85f64-5717-4562-b3fc-2c963f66afa6
        name:
          type: string
          description: Name of the conference
          example: All hands meeting
        created_at:
          type: string
          description: ISO 8601 formatted date of when the conference was created
          example: '2019-01-23T18:10:02.574Z'
        expires_at:
          type: string
          description: ISO 8601 formatted date of when the conference will expire
          example: '2019-01-23T18:10:02.574Z'
        updated_at:
          type: string
          description: ISO 8601 formatted date of when the conference was last updated
          example: '2019-01-23T18:10:02.574Z'
        region:
          type: string
          description: Region where the conference is hosted
          example: sv1
        status:
          type: string
          enum:
            - init
            - in_progress
            - completed
          description: Status of the conference
          example: completed
        end_reason:
          type: string
          enum:
            - all_left
            - ended_via_api
            - host_left
            - time_exceeded
          description: Reason why the conference ended
          example: all_left
        ended_by:
          type: object
          description: >-
            IDs related to who ended the conference. It is expected for them to
            all be there or all be null
          properties:
            call_control_id:
              type: string
              description: Call Control ID which ended the conference
              example: >-
                v2:T02llQxIyaRkhfRKxgAP8nY511EhFLizdvdUKJiSw8d6A9BborherQczRrZvZakpWxBlpw48KyZQ==
            call_session_id:
              type: string
              description: Call Session ID which ended the conference
              example: 428c31b6-abf3-3bc1-b7f4-5013ef9657c1
        connection_id:
          type: string
          description: Identifies the connection associated with the conference
          example: 3fa85f64-9191-4567-b3fc-2c963f66afa6
      example:
        record_type: conference
        id: 3fa85f64-5717-4562-b3fc-2c963f66afa6
        name: All hands meeting
        created_at: '2019-01-23T18:10:02.574Z'
        expires_at: '2019-01-23T18:10:02.574Z'
        updated_at: '2019-01-23T18:10:02.574Z'
        region: sv1
        status: completed
        end_reason: all_left
        ended_by:
          call_control_id: >-
            v2:T02llQxIyaRkhfRKxgAP8nY511EhFLizdvdUKJiSw8d6A9BborherQczRrZvZakpWxBlpw48KyZQ==
          call_session_id: 428c31b6-abf3-3bc1-b7f4-5013ef9657c1
        connection_id: 3fa85f64-9191-4567-b3fc-2c963f66afa6
    call-control_Errors:
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/call-control_Error'
    call-control_Error:
      required:
        - code
        - title
      properties:
        code:
          type: string
          format: integer
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
              format: json-pointer
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
        meta:
          type: object
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````